Contents

POST/fb/page/createBotField

Creates a bot field.

Key
The account's key, as a Bearer token
Limit
10 requests per second per key

Parameters

NameInTypeRequired
nameJSON bodystringYes
typeJSON bodyone of "text", "number", "date", "datetime", "boolean"Yes
descriptionJSON bodystringNo
valueJSON bodystring or number or boolean or array of string or number or nullNo

Request

curl -X POST https://engage.growthdept.ai/api/fb/page/createBotField \
  -H "Authorization: Bearer 1000001:YOUR_SECRET" \
  -H "Content-Type: application/json" \
  -d '{"name":"text","type":"text"}'

Answer

HTTP 200 with status: "success" and data:

FieldType
field*Bot Field
FieldType
id*integer
name*string
type*one of "text", "number", "date", "datetime", "boolean"
description*string
value*any

Errors

  • 400 Refused
  • 401 Missing or invalid key
  • 429 Over the operation's limit; see Retry-After

Shapes and numbered codes: Errors.